Subject: Refactor the MVC controller class names
Description

For consistency, the following classes should be renamed:

F3_FLOW3_MVC_Controller_ActionController -> F3_FLOW3_MVC_Controller_Action
F3_FLOW3_MVC_Controller_DefaultController -> F3_FLOW3_MVC_Controller_Default
F3_FLOW3_MVC_Controller_RequestHandlingController -> F3_FLOW3_MVC_Controller_RequestHandling
F3_FLOW3_MVC_Controller_PresentationController -> F3_FLOW3_MVC_Controller_Presentation

... and don't forget the documentation.

Associated revisions
Revision a0862d02 - 2008-08-04 14:40 - Robert Lemke

    -  FLOW3: (MVC) Renamed the Default Controller. Addresses #474
    -  FLOW3: (MVC) Implemented the dispatch loop: The request object now contains a flag which tells if the dispatcher needs to dispatch the request
again because it contains new information about the responsible controller.
    -  FLOW3: (MVC) The Request object now works differently in terms of specifying the controller: Instead of passing the controller component name,
it is now specified by setting the package key and controller name. Addresses #474
    -  FLOW3: (MVC) Implemented support for forwarding requests (see Request Handling Controller). Resolves #88 and resolves #215.
    -  FLOW3: (MVC) Removed the locking feature from the Request object - otherwise forwarding would not be possible.
    -  FLOW3: (MVC) Refactored mmost of the controller-related tests and fixtures.
    -  FLOW3: Adapted the standard routes
    -  FLOW3 + TYPO3: Updated the Package Meta information

History
#1 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#2 - 2008-11-11 12:17 - Karsten Dambekalns
- Status changed from Accepted to Rejected

The class names should
    -  speak for themselves if possible
    -  with namespaces classnames like Default would stem from this, which doesn't work. Thus r1210 reverted some of the changes already done in
r1070.

Case closed.
